Bug 752998 - RFE: GDM should add back the keyboard layout selection
RFE: GDM should add back the keyboard layout selection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 20:32 EST by Ding-Yi Chen
Modified: 2013-02-14 01:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:50:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-11-10 20:32:46 EST
Description of problem:
Once upon the time (from Fedora 11 perhaps), we can choose what keyboard layout to be used in GDM and GNOME. 

This feature is particularly useful when the default layout is not preferred, or the layout setting is messed up. My default layout was set to dvorak mysteriously, and I was unable to enter the password until I finally invoke the screen keyboard to do it. 

With this feature, I can easily choose the en-US layout and continue working.

Version-Release number of selected component (if applicable):
gdm-3.2.1.1-6.fc16.x86_64

How reproducible:
Always

Actual results:
No keyboard layout selection menu.

Expected results:
Keyboard layout selection menu presents.
Comment 1 Matthias Clasen 2011-11-14 15:54:55 EST
The keyboard selection will appear on the login screen if your Xorg.conf has multiple keyboard layouts configured.
Comment 2 Ding-Yi Chen 2011-11-14 18:52:30 EST
While I can see the value of list only the keyboard selection in defined in xorg.conf, yet I would like to see a switch for "List all keyboard layout".
Comment 3 Rick 2011-11-21 09:06:54 EST
Is it reasonable to ask if the password entry screen should use the user's chosen layout? Currently it does not. Is there a bug open for this?
Comment 4 Jens Petersen 2011-11-21 19:25:54 EST
Rick, perhaps it could be covered by this bug.
Comment 5 Fedora End Of Life 2013-01-16 12:18:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:50:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.